{#----------------------ELEMENTS-HEADER-MODULE-MODULE-FILE--------#}

{% set assets = "Ex : Angelina Jolie, Stars, Royauté" %}
{% set logo = 'build/images/logo.svg' %}

<header id="header-main" class="header-main">
    <div class="header-top">
        <i id="header-main-menu-icon" class="material-icons header-main-menu-icon">menu</i>
        <i id="header-main-close-icon" class="header-main-close-icon material-icons">close</i>
        <img class="header-main-logo" src="{{ asset(logo) }}" alt="{{ alt ?? '' }}" width="220" height="50">

        <div class="header-top-right">
            <div id="header-main-search-panel" class="header-main-search-container">
                <div id="header-main-search-canceled" class="header-main-search-canceled">{{ 'cancel'|trans({}, 'header') }}</div>
                {# <form method="post" action="{{ path('search', [], false, false) }}" class="header-main-search"> #}
                <form method="post" action="#" class="header-main-search">
                    <i class="header-main-search-icon-desktop material-icons">{{ 'search'|trans({}, 'header') }}</i>
                    <input id="search" name="q" type="text" class="header-main-search-input" placeholder="{{ 'search_on_easyvoyage'|trans({}, 'header') }}"/>
                    <button type="submit" class="header-main-search-trigger">{{ 'ok'|trans({}, 'header') }}</button>
                </form>
                <div class="header-main-asset-container header-main-asset">
                    <span>{{ assets }}</span>
                    {# {% for link in links.search %}
                        <a href="{{ path(link.route_name, link.route_params) }}" class="header-main-asset">{{ link.label }}</a>{% if not loop.last %},{% endif %}
                    {% endfor %} #}
                </div>
            </div>
            {% if newsletter_display is defined and newsletter_display == true %}
            <i title="{{ 'newsletter'|trans({}, 'header') }}" class="material-icons header-main-search-icon-newsletter">breaking_news_alt_1</i>
            {% endif %}
            <i id="header-main-search-icon" class="material-icons header-main-search-icon">search</i>
        </div>
    </div>

    <nav id="header-nav-panel" class="header-bottom header-nav-unloaded">
        {% for link in menu.links %}
            {% set menu_has_subnav = link.links is defined and link.links is not empty %}
            <div class="header-main-dropdown-container {{ menu_has_subnav ? 'js-nav-item-holder' : '' }}">
                <div class="header-main-btn-dropdown-category">
                    {% if (link.route_name) %}
                        <a href="{{ path(link.route_name) }}" class="header-main-nav-link"
                            {% if (link.target_blank is defined and link.target_blank) %}
                                target="_blank"
                            {% endif %}
                        >
                            {{ link.label }}
                        </a>
                    {% else %}
                        <span>{{ link.label }}</span>
                    {% endif %}

                    {% if (menu_has_subnav) %}
                        <i class="header-icon-more material-icons">expand_more</i>
                        <i class="header-icon-next material-icons js-btn-expand-subnav">navigate_next</i>
                    {% endif %}
                </div>

                {% if (menu_has_subnav) %}
                    {% for subLink in menu.links %}
                        <div class="header-main-btn-dropdown-subcategory js-subnav-item">
                            {% if (subLink.route_name) %}
                                <a href="{{ path(subLink.route_name) }}" class="header-main-nav-link"
                                    {% if (subLink.target_blank is defined and subLink.target_blank) %}
                                        target="_blank"
                                    {% endif %}
                                >
                                    {{ subLink.label }}
                                </a>
                            {% else %}
                                <span>{{ subLink.label }}</span>
                            {% endif %}
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        {% endfor %}
    </nav>
</header>
